package com.ruoyi.abuwx.mapper.exam;

import com.ruoyi.abuwx.domain.exam.ExmExam;

import java.util.List;

/**
 * 考试Mapper接口
 * 
 * @author ruoyi
 * @date 2024-05-17
 */
public interface ExmExamMapper 
{
    /**
     * 查询考试
     * 
     * @param id 考试主键
     * @return 考试
     */
    public ExmExam selectExmExamById(Long id);

    /**
     * 查询考试列表
     * 
     * @param exmExam 考试
     * @return 考试集合
     */
    public List<ExmExam> selectExmExamList(ExmExam exmExam);

    /**
     * 新增考试
     * 
     * @param exmExam 考试
     * @return 结果
     */
    public int insertExmExam(ExmExam exmExam);

    /**
     * 修改考试
     * 
     * @param exmExam 考试
     * @return 结果
     */
    public int updateExmExam(ExmExam exmExam);

    /**
     * 删除考试
     * 
     * @param id 考试主键
     * @return 结果
     */
    public int deleteExmExamById(Long id);

    /**
     * 批量删除考试
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteExmExamByIds(Long[] ids);
}
